using System;

internal sealed class Delegate147 : MulticastDelegate
{
	public extern double Invoke(object object_0);

	public static double smethod_0(object object_0, Delegate147 delegate147_0)
	{
		return delegate147_0(object_0);
	}

	public extern Delegate147(object object_0, IntPtr intptr_0);

	static Delegate147()
	{
		Class10.smethod_13(typeof(Delegate147).TypeHandle);
	}

	internal static Delegate147 kBvszTivj9;
}
